Skip to main content
GET
/
api
/
external
/
v2
/
subscription-bundle-settings
/
{id}
Get bundle settings
curl --request GET \
  --url https://membership-admin.appstle.com/api/external/v2/subscription-bundle-settings/{id}
{
  "shop": "<string>",
  "selectedFrequencyLabelText": "<string>",
  "addButtonText": "<string>",
  "selectMinimumProductButtonText": "<string>",
  "productsToProceedText": "<string>",
  "proceedToCheckoutButtonText": "<string>",
  "myDeliveryText": "<string>",
  "id": 123,
  "bundleTopHtml": "<string>",
  "bundleBottomHtml": "<string>",
  "failedToAddTitleText": "<string>",
  "okBtnText": "<string>",
  "failedToAddMsgText": "<string>",
  "buttonColor": "<string>",
  "backgroundColor": "<string>",
  "pageBackgroundColor": "<string>",
  "buttonBackgroundColor": "<string>",
  "variantNotAvailable": "<string>",
  "isBundleWithoutScroll": true,
  "descriptionLength": 123,
  "currencySwitcherClassName": "<string>",
  "productPriceFormatField": "<string>",
  "productTitleFontColor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Path Parameters

id
integer<int64>
required

Settings ID (deprecated - retrieves by shop)

Query Parameters

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

Response

Bundle settings retrieved successfully

shop
string
required
selectedFrequencyLabelText
string
required
addButtonText
string
required
selectMinimumProductButtonText
string
required
productsToProceedText
string
required
proceedToCheckoutButtonText
string
required
myDeliveryText
string
required
id
integer<int64>
bundleTopHtml
string
bundleBottomHtml
string
failedToAddTitleText
string
okBtnText
string
failedToAddMsgText
string
buttonColor
string
backgroundColor
string
pageBackgroundColor
string
buttonBackgroundColor
string
variantNotAvailable
string
bundleRedirect
enum<string>
Available options:
CART,
CHECKOUT
isBundleWithoutScroll
boolean
descriptionLength
integer<int32>
currencySwitcherClassName
string
productPriceFormatField
string
productTitleFontColor
string